Mirror of the lttng-dev mailing list
 help / color / mirror / Atom feed
From: alexandre.montplaisir@polymtl.ca (Alexandre Montplaisir)
Subject: [ltt-dev] [PATCH 2/2] Add module-unloading capabilities to ltt-disarmall
Date: Thu, 23 Sep 2010 22:39:26 -0400	[thread overview]
Message-ID: <1285295966-30519-3-git-send-email-alexandre.montplaisir@polymtl.ca> (raw)
In-Reply-To: <1285295966-30519-1-git-send-email-alexandre.montplaisir@polymtl.ca>

From: Alexandre Montplaisir <alexandre.montplaisir@gmail.com>

Make ltt-disarmall unload all the kernel modules before exiting.

The module list is not in the same order as in ltt-armall, because
of some dependencies between the modules.

Signed-off-by: Alexandre Montplaisir <alexandre.montplaisir at gmail.com>
---
 lttctl/ltt-disarmall.sh |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

diff --git a/lttctl/ltt-disarmall.sh b/lttctl/ltt-disarmall.sh
index 56dc3a0..d60a54e 100755
--- a/lttctl/ltt-disarmall.sh
+++ b/lttctl/ltt-disarmall.sh
@@ -17,6 +17,8 @@
 
 DEBUGFSROOT=$(awk '{if ($3 == "debugfs") print $2}' /proc/mounts | head -n 1)
 MARKERSROOT=${DEBUGFSROOT}/ltt/markers
+DEFAULTMODULES="ltt-trace-control ltt-marker-control ltt-kprobes ltt-userspace-event ltt-statedump ipc-trace kernel-trace mm-trace net-trace fs-trace jbd2-trace syscall-trace trap-trace block-trace rcu-trace ltt-relay ltt-tracer"
+EXTRAMODULES="lockdep-trace net-extended-trace"
 
 usage () {
 	echo "Usage: $0 [OPTION]..." > /dev/stderr
@@ -28,6 +30,11 @@ usage () {
 	echo "" > /dev/stderr
 }
 
+if [ "$(id -u)" != "0" ]; then
+	echo "Error: This script needs to be run as root." > /dev/stderr
+	exit 1;
+fi
+
 if [ ! "${DEBUGFSROOT}" ]; then
 	echo "Error: debugfs not mounted" > /dev/stderr
 	exit 1;
@@ -59,3 +66,12 @@ shift $((${OPTIND} - 1))
 	fi
 	echo 0 > ${marker}
 done
+
+#Unload the kernel modules
+for i in ${EXTRAMODULES}; do
+	rmmod $i 2> /dev/null
+done
+for i in ${DEFAULTMODULES}; do
+	rmmod $i
+done
+
-- 
1.7.1





  parent reply	other threads:[~2010-09-24  2:39 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2010-09-24  2:39 [ltt-dev] [ltt-control] [PATCH] Modules load/unload with ltt-armall/disarmall Alexandre Montplaisir
2010-09-24  2:39 ` [ltt-dev] [PATCH 1/2] Add module-loading capabilities to ltt-armall Alexandre Montplaisir
2010-09-24  2:39 ` Alexandre Montplaisir [this message]
2010-09-24 21:13 ` [ltt-dev] [ltt-control] [PATCH] Modules load/unload with ltt-armall/disarmall Mathieu Desnoyers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1285295966-30519-3-git-send-email-alexandre.montplaisir@polymtl.ca \
    --to=alexandre.montplaisir@polymtl.ca \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox